$namespaces:
  arv: "http://arvados.org/cwl#" 

hints:
  arv:ReuseRequirement:
    enableReuse: false

cwlVersion: v1.0
class: Workflow

inputs:
  zip_file:
    type: File
  search_string:
    type: string
  output_filename: 
    type: string?

requirements:
  SubworkflowFeatureRequirement: {}

steps:
  hash_wf:
    run: hash-output-wf.cwl
    in:
      zip_file: zip_file
      search_string: search_string
      output_filename: output_filename
    out: [count_hash]

outputs:
  hash:
    type: File
    outputSource: [hash_wf/count_hash]
